#include <stdio.h>
#include <glib.h>

void print_list (GList *list);

struct _info {
	gchar *name;
	gchar *lastname;
	gint exam;
};

typedef struct _info info;

int
main (int argc, char **argv)
{
	FILE *fd;
	gchar *filename = "bd.csv";
	gchar line[1000];
	GList *list = NULL;
	gchar **lines;
	info *dato;

	fd = fopen (filename, "r");
	g_assert (fd != NULL);

	while (fgets (line, 1000, fd) != NULL) {
		int j;
		lines = g_strsplit (line, ",", 9);

		dato = g_malloc (sizeof (dato));
		dato->name = g_strdup (lines[1]);
		dato->lastname = g_strdup (lines[0]);
		list = g_list_append (list, (gpointer) dato);
		for (j = 0; lines[j] != NULL; j++) {
			g_print ("%s\t", g_strchomp (lines[j]));
		}
		g_print ("\n");

/*		g_free (dato);*/
		g_strfreev (lines);
	}

	print_list (g_list_first (list));
	fclose (fd);
	return TRUE;
}

void
print_list (GList *list)
{
	gint i = 0;
	info *dato;

	while (list != NULL) {
		dato = list->data;
		g_print ("Name: %s.\n", dato->name);
		g_print ("Lastname: %s.\n", dato->lastname);

		/* apunta al siguiente nodo de la lista */
		list = g_list_next (list);
		i++;
	}
}
