#include <glade/glade.h>
#include "callbacks.h"

int
main (int argc, char *argv[])
{
	GladeXML *xml;
	GtkWidget *window;
	GtkWidget *button, *sw1, *sw2, *entry, *button_add;
	GtkWidget *label, *widget;
	const gchar *type;
	
	gtk_init (&argc, &argv);

	xml = glade_xml_new (GLADEDIR
			     "/proyecto9.glade", "window1", NULL);
	window = glade_xml_get_widget (xml, "window1");
	
	button = glade_xml_get_widget (xml, "cambiar");
	button_add = glade_xml_get_widget (xml, "agregar");
	

	sw1 = glade_xml_get_widget (xml, "scrolledwindow_tree");
	sw2 = glade_xml_get_widget (xml, "scrolledwindow_text");
	label = glade_xml_get_widget (xml, "label");
	entry = glade_xml_get_widget (xml, "entry1");

	g_object_set_data (G_OBJECT (button), "sw1", sw1);
	g_object_set_data (G_OBJECT (button), "sw2", sw2);
	g_object_set_data (G_OBJECT (button), "label", label);
		
	g_object_set_data (G_OBJECT (button_add), "sw", sw1);
	g_object_set_data (G_OBJECT (button_add), "entry", entry);

	widget = gtk_bin_get_child (GTK_BIN (sw1));
	type = g_type_name (GTK_WIDGET_TYPE (widget));
	gtk_label_set_text (GTK_LABEL (label), type);
	
	glade_xml_signal_autoconnect (xml);
	g_object_unref (G_OBJECT (xml));

	gtk_widget_show_all (window);

	gtk_main ();
	return 0;
}
