#include <gtk/gtk.h>
#include <glade/glade.h>

#include "callbacks.h"

int
main (int argc, char **argv)
{
	GladeXML *xml;
	GtkWidget *window;
	GtkWidget *textview;
	GtkTextBuffer *buffer;

	gtk_init (&argc, &argv);

	xml = glade_xml_new ("main.glade", NULL, NULL);

	window = glade_xml_get_widget (xml, "main_window");
	glade_xml_signal_autoconnect (xml);

	textview = glade_xml_get_widget (xml, "textview");
	buffer = gtk_text_view_get_buffer (GTK_TEXT_VIEW (textview));

	g_signal_connect (G_OBJECT (buffer), "changed", 
					  G_CALLBACK (on_buffer_changed), NULL);

	g_object_unref (xml);

	gtk_widget_show_all (window);

	gtk_main ();

	return 0;
}
